# QVM: Quaternions, Vectors, Matrices

### Vector-to-matrix View Proxies

#include <boost/qvm/map_mat_vec.hpp>

    namespace boost
    {
        namespace qvm
        {
            //*** Vector-to-matrix view proxies ***

            //Only enabled if: is_vec<A>::value
            template <iclass A>
            -unspecified-return-type- col_mat( A & a );

            //Only enabled if: is_vec<A>::value
            template <iclass A>
            -unspecified-return-type- row_mat( A & a );

            //Only enabled if: is_vec<A>::value
            template <iclass A>
            -unspecified-return-type- translation_mat( A & a );

            //Only enabled if: is_vec<A>::value
            template <iclass A>
            -unspecified-return-type- diag_mat( A & a );
        }
    }

See also: Boost QVM | Synopsis